version: '3.5'

services:
  cache_user: 
    image: jooaodanieel/mongo-enterprise:4.0
    command: --storageEngine inMemory --dbpath /data/db
    networks:
      - byron_services
  api_user:
    build:
      context: ./api
      args:
        port: 1234
        cache_url: 'mongodb://cache_user:27017/test'
        broker_url: 'nats://broker:4222'
        broker_cluster: 'test-cluster'
        broker_client_id: 'user_api'
    ports:
      - 1234:1234
    volumes:
      - 'api_dependencies:/usr/src/app/node_modules'
    networks:
      - byron_services
  sink_user:
    build:
      context: ./sink
      args:
        port: 4321
        cache_url: 'mongodb://cache_user:27017/test'
        broker_url: 'nats://broker:4222'
        broker_cluster: 'test-cluster'
        broker_client_id: 'user_sink'
    volumes:
      - 'sink_dependencies:/usr/src/app/node_modules'
    networks:
      - byron_services

volumes:
  api_dependencies:
  sink_dependencies:

networks:
  byron_services:
    name: byron_mesh